# Setting up the model schema

We use the `Schema` class together with the `from_df` method to set up a schema from the reference data.

In this case, we define the problem as <mark style="color:purple;">'BINARY\_CLASSIFICATION'</mark> but other options like <mark style="color:purple;">'MULTICLASS\_CLASSIFICATION'</mark> and <mark style="color:purple;">'REGRESSION'</mark> are possible.

More info about the `Schema` class can be found in its [API reference](https://nannyml.github.io/nannyml-cloud-sdk/api_reference/monitoring/schema/).

```python
# Inspect schema from dataset and apply overrides
schema = nml_sdk.monitoring.Schema.from_df(
    'BINARY_CLASSIFICATION',
    reference_data,
    target_column_name='work_home_actual',
    ignore_column_names=('period'),
    identifier_column_name='id'
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nannyml.com/cloud/v0.24.1/nannyml-cloud-sdk/example/setting-up-the-model-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
